#
# spec file for package libgnomesu (Version 1.0.0)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel aaa_base acl alsa alsa-devel atk atk-devel attr audiofile audiofile-devel audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 cairo cairo-devel coreutils cpio cpp cracklib cvs cyrus-sasl db dbus-1 dbus-1-devel dbus-1-glib desktop-translations diffutils e2fsprogs esound esound-devel expat file filesystem fillup findutils flex fontconfig fontconfig-devel freetype2 freetype2-devel gawk gcc gconf2 gconf2-devel gdbm gdbm-devel gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale glitz glitz-devel gnome-filesystem gnome-keyring gnome-keyring-devel gnome-vfs2 gnome-vfs2-devel gpm grep groff gtk2 gtk2-devel gzip hal hal-devel info insserv intltool klogd less libacl libart_lgpl libart_lgpl-devel libattr libbonobo libbonobo-devel libbonoboui libbonoboui-devel libcom_err libdrm libgcc libglade2 libgnome libgnome-devel libgnomecanvas libgnomecanvas-devel libgnomeui libgnomeui-devel libjpeg libjpeg-devel libnscd libpng libpng-devel libstdc++ libtool libusb libxcrypt libxml2 libxml2-devel libzio m4 mDNSResponder-lib make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openmotif-libs openssl openssl-devel orbit2 orbit2-devel pam pam-devel pam-modules pango pango-devel patch perl perl-XML-Parser permissions pkgconfig popt popt-devel procinfo procps psmisc pwdutils rcs readline resmgr rpm sed strace sysvinit tar tcpd texinfo timezone unzip update-desktop-files util-linux vim xorg-x11-devel xorg-x11-libs zlib zlib-devel

Name:           libgnomesu
BuildRequires:  intltool libgnomeui-devel pam-devel perl-XML-Parser update-desktop-files
URL:            http://members.chello.nl/~h.lai/libgnomesu/
%define prefix  /opt/gnome
%define sysconfdir /etc%{prefix}
License:        LGPL
Group:          System/GUI/GNOME
Autoreqprov:    on
PreReq:         permissions
Requires:       gnome-icon-theme shared-mime-info
Provides:       xsu
Obsoletes:      xsu
Version:        1.0.0
Release:        32.6
Summary:        GNOME su Library
Source:         libgnomesu-%{version}.tar.bz2
Source1:        gnomesu-pam.pamd
Patch:          libgnomesu-libtool.patch
Patch1:         libgnomesu-1.0.0-xauth-nolookup.patch
Patch2:         libgnomesu-1.0.0-spin-mainloop.patch
Patch3:         libgnomesu-no-selectable-error.patch
Patch4:         libgnomesu-1.0.0-ensure-xauthority-env.patch
Patch5:         libgnomesu-scrollbar.patch
Patch6:         libgnomesu-password-translation.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Libgnomesu is a library for providing superuser privileges to GNOME
applications. It supports sudo, consolehelper, PAM, and su.



Authors:
--------
    Hongli Lai <h.lai@chello.nl>

%debug_package
%package devel
Summary:        Development files for libgnomesu
Group:          System/GUI/GNOME
Requires:       %{name} = %{version}
Requires:       libgnome-devel libgnomecanvas-devel libbonoboui-devel pam-devel
Autoreqprov:    on

%description devel
This package contains all files needed to develop with libgnomesu.



Authors:
--------
    Hongli Lai <h.lai@chello.nl>

%prep
%setup -q -n libgnomesu-%{version} 
%patch
%patch1 -p1
%patch2 -p1
%patch3 -p0
%patch4 -p1
%patch5
%patch6 -p0
cp -a %{S:1} pam-backend/gnomesu-pam

%build
%{?suse_update_config:%{suse_update_config -f}}
libtoolize --force
aclocal -I .
automake -c -a -f
autoconf 
CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing" ./configure --prefix=%{prefix} \
	    --libdir=%{prefix}/%_lib \
	    --with-native-locale=yes \
	    --with-xinput=xfree \
	    --mandir=%{_mandir} \
	    --libexecdir=%{prefix}/lib/libgnomesu \
	    --infodir=%{_infodir} \
	    --sysconfdir=%{sysconfdir} \
	    --localstatedir=/var \
	    --disable-schemas-install \
	    --disable-setuid-error 
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
chmod 755 $RPM_BUILD_ROOT/opt/gnome/lib/libgnomesu/gnomesu-backend
chmod 4755 $RPM_BUILD_ROOT/opt/gnome/lib/libgnomesu/gnomesu-pam-backend
%find_lang libgnomesu-1.0
mkdir -p $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}
cp AUTHORS README NEWS ChangeLog doc/api.html doc/libgnomesu.css $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}
# We want only PAM backend.
rm $RPM_BUILD_ROOT%{prefix}/lib/libgnomesu/gnomesu-backend
%if %is_plus
mkdir -p $RPM_BUILD_ROOT/etc/permissions.d
cat >$RPM_BUILD_ROOT/etc/permissions.d/%{name}.easy <<EOF
# libgnomesu (#75823)
/opt/gnome/lib/libgnomesu/gnomesu-pam-backend           root:root         4755
EOF
cat >$RPM_BUILD_ROOT/etc/permissions.d/%{name}.secure <<EOF
# libgnomesu (#75823)
/opt/gnome/lib/libgnomesu/gnomesu-pam-backend           root:root         4755
EOF
cat >$RPM_BUILD_ROOT/etc/permissions.d/%{name}.paranoid <<EOF
# libgnomesu (#75823)
/opt/gnome/lib/libgnomesu/gnomesu-pam-backend           root:root         0755
EOF
%endif

%post
%run_permissions
%run_ldconfig

%postun
%run_ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%verifyscript
%verify_permissions -e %{prefix}/lib/libgnomesu/gnomesu-pam-backend

%files -f %files -f libgnomesu-1.0.lang
%defattr(-,root,root)
%doc %dir %{_defaultdocdir}/%{name}
%doc %{_defaultdocdir}/%{name}/AUTHORS
%doc %{_defaultdocdir}/%{name}/README
%doc %{_defaultdocdir}/%{name}/NEWS
%doc %{_defaultdocdir}/%{name}/ChangeLog
%config /etc/pam.d/gnomesu-pam
%if %is_plus
/etc/permissions.d/%{name}.*
%endif
%{prefix}/bin/gnomesu
%dir %{prefix}/lib/libgnomesu
#%attr (6755,root,root) %{prefix}/lib/libgnomesu/gnomesu-backend
#%attr (6755,root,root) %{prefix}/lib/libgnomesu/gnomesu-pam-backend
# NOTE: Original package has 6755.
# We have only 4755 and for easy and secure profile.
%verify (not mode) %attr (4755,root,root) %{prefix}/lib/libgnomesu/gnomesu-pam-backend
%{prefix}/%_lib/libgnomesu.so.*
%{prefix}/share/application-registry/gnomesu-nautilus.applications
%{prefix}/share/mime-info/gnomesu-nautilus.keys

%files devel
%defattr(-,root,root)
%doc %{_defaultdocdir}/%{name}/api.html
%doc %{_defaultdocdir}/%{name}/libgnomesu.css
%{prefix}/include/libgnomesu-1.0
%{prefix}/%_lib/pkgconfig/libgnomesu-1.0.pc
%{prefix}/%_lib/libgnomesu.so
%{prefix}/%_lib/libgnomesu.*a

%changelog -n libgnomesu
* Fri May 26 2006 - zsu@suse.de
- bugzilla #169082. Call _() to translate label string "_Password:"
* Thu May 18 2006 - ro@suse.de
- add setuid bit to gnomesu-pam-backend in level secure (#175616)
* Thu May 04 2006 - danw@suse.de
- stick the command label in a scrolledwindow in case it's really
  really long. #161044
* Thu May 04 2006 - hpj@suse.de
- Add patch to ensure that XAUTHORITY is always set in the child
  environment. Fixes Novell bug #172494.
* Fri Mar 31 2006 - danw@suse.de
- Don't mark the error text as "selectable", since that will make
  it focusable as well and mess up the tab order. #162600
* Tue Mar 21 2006 - hpj@suse.de
- Add patch to make it spin the main loop while waiting for the
  child to exit. Fixes Novell bug #156445.
* Mon Jan 30 2006 - ro@suse.de
- reduce BuildRequires as far as possible
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Oct 18 2005 - hpj@suse.de
- Fixed the nlist/nmerge patch to actually work (#119600).
* Fri Oct 14 2005 - hpj@suse.de
- Run xauth nlist/nmerge instead of list, prevents DNS lookups
  (#119600).
* Tue Sep 20 2005 - sbrabec@suse.cz
- Removed references to build directory in installed .la files.
- Fixed devel dependencies.
* Thu Jun 09 2005 - sbrabec@suse.cz
- Updated to version 1.0.0.
- Set permissions properly (#75823).
- Removed crypt backend (#75823).
* Mon May 16 2005 - sbrabec@suse.cz
- Updated to version 0.9.7.
* Thu May 12 2005 - sbrabec@suse.cz
- Provide and obsolete xsu (#75823).
- Fixed crash on x86_64.
- Build and install PAM backend.
- Fixed backend permissions.
* Fri Apr 15 2005 - sbrabec@suse.cz
- Simplified neededforbuild.
- Added devel documentation.
* Tue Feb 08 2005 - hhetter@suse.de
- package without setuid bits for now (#50436)
* Thu Feb 03 2005 - hhetter@suse.de
- initial SUSE package
